from lexer import Lexer
from parser import Parser


def main() -> None:
    text = "\"\\\"hello\\\\\""
    lexer = Lexer(text)
    parser = Parser(text, lexer)
    parsed = parser.parse_expr()
    print(parsed)


if __name__ == "__main__":
    main()
